| Home | Libraries | People | FAQ | More

###### object::erase (1 of 2 overloads)

Erase an element.

###### Synopsis

    iterator
    erase(
        const_iterator pos);

###### Description

Remove the element pointed to by `pos`, which must be valid and dereferenceable. References and iterators to the erased element are invalidated. Other iterators and references are not invalidated.

###### Remarks

The `end()` iterator (which is valid but cannot be dereferenced) cannot be used as a value for `pos`.

###### Complexity

Constant on average, worst case linear in `size()`.

###### Exception Safety

No-throw guarantee.

###### Return Value

An iterator following the removed element.

###### Parameters

Name | Description
--- | ---
`pos` | An iterator pointing to the element to be removed.